@import "$SHAREDSTYLES/base/_variables.scss";

ul.paymentList{
	width: 100%;
	float: left;
	background-color: #fff;
	// border-top: 1px solid $light-grey;
	li{
		width: 100%;
		float: left;
		padding: 15px 0 15px 0;
		position: relative;
		border-bottom: 1px solid $light-grey;
		label{
			width: 100%;
			float: left;
		}
		.labelText{
			float: left;
			width: calc(100% - 35px);
			text-transform: capitalize;
			.fulladdress{
				color: $dark-gray;
			}
		}
		input[type="radio"]{
			width: 15px;
			float: left;
			margin-top: 6px;
			margin-right: 10px;
		}
		svg{
			margin-right: 10px;
			float: left;
		}
		.icon_container{
			width: 50px;
			float: left;
			position: absolute;
			top: 50%;
			transform: translateY(-50%);
			left: 0;
		}
		.payment_label{
			float: left;
			margin-left: 55px;
		}
	}
	li:last-child{
		border-bottom: 0;
	}
}

.payment_option{
	padding: 16px 0px 16px 0px;
	margin: 0px 16px 0px 16px;
	border-top: solid 0.5px rgba(74, 74, 74, 0.2);
	&:first-child{
		border-top: none;
		padding-top: 8px;
	}
	.icon{
		/*background: #adadb7;*/
		display: inline-block;
    	vertical-align: middle;
    	width: 40px;
    	height: 25px;
	}
	.label{
		margin-left: 5px;
	}
	.checked{
		float: right;
		display: inline-block;
    	vertical-align: middle;
	}
}

.checkmark_border {
  position: relative;
  margin-right:10px;
  width:24px;
  height:24px;
  border: 2px solid rgba(74, 74, 74, 0.2);
  box-sizing: border-box;
  border-radius: 50%;
  
}

.checkmark_border_none {
  border: 2px solid rgba(74, 74, 74, 0);
}

.checkmark{
  &:after{
    content: '';
    display: block;
    position: relative;
    top:5px;
	left:7px;
    width: 3px;
    height: 8px;
    border: solid rgba(74, 74, 74, 0.2);
    border-width: 0 2px 2px 0 ;
    transform: rotate(45deg);
  }
}

.green_border {
	&:after{
	border-color: #009b67;
	}
}



.warning_card{
	background-color: $discount-background;
	color: $light;
	padding: 2px 3px;
	font-size: .7em;
	margin-right: 5px;
	border-radius: 2px;
}

.offers{
    font-size: 13px;
    margin:0 45px;
    color: #929292;
}
